#!/usr/bin/env python

"""Tests for `p2.logging` package."""


import unittest
import logging
import os.path

from p2.logging import Logger


class TestP2logging(unittest.TestCase):
    """Tests for `p2.logging` package."""

    def test_logger(self):
        log_obj = Logger(filename='logfile', level=logging.INFO)
        logger = log_obj.getLogger()

        logger.info("info log")
        self.assertTrue(os.path.exists('./logfile.log'))
